# File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.

from __future__ import annotations

from typing import List
from typing_extensions import Required, TypedDict

__all__ = ["AssetUploadParams"]


class AssetUploadParams(TypedDict, total=False):
    proj_id: Required[str]
    """The ID of the project to which the assets will be uploaded and assigned."""

    urls: Required[List[str]]
    """A list of file URLs to be downloaded and processed during the upload."""

    chunk_strategy: str
    """Optional.

    Define how files should be split during processing. Supported values are
    `new_line` (split rows by newline for CSV/Excel) or `None` (no splitting).
    """

    ext_file_names: List[str]
    """Optional.

    Names for the files to be uploaded. If not provided, names will be derived from
    the URLs.
    """

    ext_ids: List[str]
    """Optional. External identifiers for the files, useful for mapping or reference."""

    file_type: str
    """Default file type to apply to all files if individual types are not specified."""

    file_types: List[str]
    """Optional.

    Specify the file types for each URL (e.g., 'csv', 'xlsx'). If not provided,
    defaults will be used based on content.
    """

    include_header: bool
    """Specify whether the input files include a header row.

    This applies to CSV or Excel files only.
    """

    main_keys: List[str]
    """Optional.

    Column names to be used as unique identifiers when chunking data. If not
    provided, all columns will be combined to generate unique identifiers.
    """

    parse_strategy: str
    """Optional. Strategy to be used for parsing files during processing."""

    transform_id: str
    """
    Specify if the uploaded assets should be processed exclusively by a particular
    transformation.
    """
